PackageManagerText Class Reference
Inheritance diagram for PackageManagerText:
[legend]
Collaboration diagram for PackageManagerText:
[legend]

## Public Member Functions

bool | StatusChanged (std::string PackageName, unsigned int StepsDone, unsigned int TotalSteps, std::string HumanReadableAction) override
Public Member Functions inherited from PackageManager
virtual void | Start (int=-1)
virtual void | Stop ()
virtual void | StartDpkg ()
virtual pid_t | fork ()
virtual void | Pulse ()
virtual long | GetPulseInterval ()
virtual void | Error (std::string, unsigned int, unsigned int, std::string)
virtual void | ConffilePrompt (std::string, unsigned int, unsigned int, std::string)

## Additional Inherited Members

Protected Attributes inherited from PackageManager
std::string | progress_str
float | percentage
int | last_reported_progress

## Member Function Documentation

## StatusChanged()

bool StatusChanged | ( | std::string | PackageName,
|  | unsigned int | StepsDone,
|  | unsigned int | TotalSteps,
|  | std::string | HumanReadableAction )

override virtual

Reimplemented from PackageManager.

The documentation for this class was generated from the following files:

- apt-pkg/install-progress.h
- apt-pkg/install-progress.cc